- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Private Attributes | List of all members
WP1StylesListener Class Reference

`#include <WP1StylesListener.h>`

Inheritance diagram for WP1StylesListener:

## Public Member Functions
| WP1StylesListener (std::list< WPXPageSpan > &pageList, std::vector< WP1SubDocument * > &subDocuments)
| ~WP1StylesListener ()
void | startDocument ()
void | startSubDocument ()
void | insertCharacter (unsigned)
void | insertExtendedCharacter (unsigned char)
void | insertTab ()
void | insertEOL ()
void | insertBreak (unsigned char breakType)
void | insertNote (WPXNoteType, WP1SubDocument *)
void | attributeChange (bool, unsigned char)
void | fontPointSize (unsigned char)
void | fontId (unsigned short)
void | marginReset (unsigned short leftMargin, unsigned short rightMargin)
void | topMarginSet (unsigned short topMargin)
void | bottomMarginSet (unsigned short bottomMargin)
void | leftIndent (unsigned short)
void | leftRightIndent (unsigned short)
void | leftMarginRelease (unsigned short)
void | setTabs (const std::vector< WPXTabStop > &)
void | headerFooterGroup (unsigned char headerFooterDefinition, WP1SubDocument *subDocument)
void | suppressPageCharacteristics (unsigned char suppressCode)
void | justificationChange (unsigned char)
void | lineSpacingChange (unsigned char)
void | flushRightOn ()
void | flushRightOff ()
void | centerOn ()
void | centerOff ()
void | endDocument ()
void | endSubDocument ()
void | insertPicture (unsigned short, unsigned short, const librevenge::RVNGBinaryData &)
Public Member Functions inherited from WP1Listener
| WP1Listener ()
virtual | ~WP1Listener ()

## Protected Member Functions
void | _handleSubDocument (const WPXSubDocument *subDocument, WPXSubDocumentType subDocumentType, WPXTableList tableList, int nextTableIndice=0)
Protected Member Functions inherited from WPXStylesListener
| WPXStylesListener (std::list< WPXPageSpan > &pageList)
virtual | ~WPXStylesListener ()
Protected Member Functions inherited from WPXListener
| WPXListener (std::list< WPXPageSpan > &pageList)
virtual | ~WPXListener ()
bool | isUndoOn ()
void | setUndoOn (bool isOn)

## Private Attributes
WPXPageSpan | m_currentPage
WPXPageSpan | m_nextPage
std::vector< WP1SubDocument * > & | m_subDocuments
double | m_tempMarginLeft
double | m_tempMarginRight
bool | m_currentPageHasContent
bool | m_isSubDocument
std::list< WPXPageSpan >::iterator | m_pageListHardPageMark

## Additional Inherited Members
Protected Attributes inherited from WPXListener
std::list< WPXPageSpan > & | m_pageList

## Constructor & Destructor Documentation

WP1StylesListener::WP1StylesListener | ( | std::list< WPXPageSpan > & | pageList,
|  | std::vector< WP1SubDocument * > & | subDocuments
| ) |  |

WP1StylesListener::~WP1StylesListener | ( |  | ) |
| inline

## Member Function Documentation

void WP1StylesListener::_handleSubDocument | ( | const WPXSubDocument * | subDocument,
|  | WPXSubDocumentType | subDocumentType,
|  | WPXTableList | tableList,
|  | int | nextTableIndice = `0`
| ) |  |
| protected

Referenced by headerFooterGroup(), and insertBreak().

void WP1StylesListener::attributeChange | ( | bool | ,
|  | unsigned char |
| ) |  |
| inline virtual

Implements WP1Listener.

void WP1StylesListener::bottomMarginSet | ( | unsigned short | bottomMargin | ) |
| virtual

Implements WP1Listener.

void WP1StylesListener::centerOff | ( |  | ) |
| inline virtual

Implements WP1Listener.

void WP1StylesListener::centerOn | ( |  | ) |
| inline virtual

Implements WP1Listener.

void WP1StylesListener::endDocument | ( |  | ) |
| virtual

Implements WP1Listener.

void WP1StylesListener::endSubDocument | ( |  | ) |
| virtual

Implements WP1Listener.

Referenced by WP1Parser::parseSubDocument().

void WP1StylesListener::flushRightOff | ( |  | ) |
| inline virtual

Implements WP1Listener.

void WP1StylesListener::flushRightOn | ( |  | ) |
| inline virtual

Implements WP1Listener.

void WP1StylesListener::fontId | ( | unsigned short |  | ) |
| inline virtual

Implements WP1Listener.

void WP1StylesListener::fontPointSize | ( | unsigned char |  | ) |
| inline virtual

Implements WP1Listener.

void WP1StylesListener::headerFooterGroup | ( | unsigned char | headerFooterDefinition,
|  | WP1SubDocument * | subDocument
| ) |  |
| virtual

Implements WP1Listener.

void WP1StylesListener::insertBreak | ( | unsigned char | breakType | ) |
| virtual

Implements WP1Listener.

Referenced by endDocument(), and endSubDocument().

void WP1StylesListener::insertCharacter | ( | unsigned |  | ) |
| inline virtual

Implements WP1Listener.

void WP1StylesListener::insertEOL | ( |  | ) |
| inline virtual

Implements WP1Listener.

void WP1StylesListener::insertExtendedCharacter | ( | unsigned char |  | ) |
| inline virtual

Implements WP1Listener.

void WP1StylesListener::insertNote | ( | WPXNoteType | ,
|  | WP1SubDocument * |
| ) |  |
| inline virtual

Implements WP1Listener.

void WP1StylesListener::insertPicture | ( | unsigned short | ,
|  | unsigned short | ,
|  | const librevenge::RVNGBinaryData & |
| ) |  |
| inline virtual

Implements WP1Listener.

void WP1StylesListener::insertTab | ( |  | ) |
| inline virtual

Implements WP1Listener.

void WP1StylesListener::justificationChange | ( | unsigned char |  | ) |
| inline virtual

Implements WP1Listener.

void WP1StylesListener::leftIndent | ( | unsigned short |  | ) |
| inline virtual

Implements WP1Listener.

void WP1StylesListener::leftMarginRelease | ( | unsigned short |  | ) |
| inline virtual

Implements WP1Listener.

void WP1StylesListener::leftRightIndent | ( | unsigned short |  | ) |
| inline virtual

Implements WP1Listener.

void WP1StylesListener::lineSpacingChange | ( | unsigned char |  | ) |
| inline virtual

Implements WP1Listener.

void WP1StylesListener::marginReset | ( | unsigned short | leftMargin,
|  | unsigned short | rightMargin
| ) |  |
| virtual

Implements WP1Listener.

void WP1StylesListener::setTabs | ( | const std::vector< WPXTabStop > & |  | ) |
| inline virtual

Implements WP1Listener.

void WP1StylesListener::startDocument | ( |  | ) |
| inline virtual

Implements WP1Listener.

void WP1StylesListener::startSubDocument | ( |  | ) |
| inline virtual

Implements WP1Listener.

Referenced by WP1Parser::parseSubDocument().

void WP1StylesListener::suppressPageCharacteristics | ( | unsigned char | suppressCode | ) |
| virtual

Implements WP1Listener.

void WP1StylesListener::topMarginSet | ( | unsigned short | topMargin | ) |
| virtual

Implements WP1Listener.

## Member Data Documentation

WPXPageSpan WP1StylesListener::m_currentPage
| private

Referenced by bottomMarginSet(), headerFooterGroup(), insertBreak(), marginReset(), suppressPageCharacteristics(), and topMarginSet().

bool WP1StylesListener::m_currentPageHasContent
| private

Referenced by _handleSubDocument(), headerFooterGroup(), insertBreak(), insertCharacter(), insertEOL(), insertExtendedCharacter(), insertTab(), leftIndent(), leftRightIndent(), and marginReset().

bool WP1StylesListener::m_isSubDocument
| private

Referenced by _handleSubDocument(), insertBreak(), and marginReset().

WPXPageSpan WP1StylesListener::m_nextPage
| private

Referenced by headerFooterGroup(), and insertBreak().

std::list<WPXPageSpan>::iterator WP1StylesListener::m_pageListHardPageMark
| private

Referenced by insertBreak(), and marginReset().

std::vector<WP1SubDocument *>& WP1StylesListener::m_subDocuments
| private

Referenced by headerFooterGroup().

double WP1StylesListener::m_tempMarginLeft
| private

Referenced by insertBreak(), and marginReset().

double WP1StylesListener::m_tempMarginRight
| private

Referenced by insertBreak(), and marginReset().

The documentation for this class was generated from the following files:

- WP1StylesListener.h
- WP1StylesListener.cpp